Bug 80114 - Win 7x64 LO 4.2.4.2 installer failed "security policies"
Summary: Win 7x64 LO 4.2.4.2 installer failed "security policies"
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-16 23:28 UTC by Timothy Tai
Modified: 2015-06-08 14:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Dialog that pops up after installation starts. (27.51 KB, image/jpg)
2014-06-16 23:28 UTC, Timothy Tai
Details
Screenshot (116.84 KB, image/jpeg)
2014-06-18 16:45 UTC, Timothy Tai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Tai 2014-06-16 23:28:44 UTC
Created attachment 101201 [details]
Dialog that pops up after installation starts.

I am trying to install LibreOffice 4.2.4.2 (English-US) on my Win 7x64 Home Premium PC (English-US), AMD CPU, up to date on patches, etc.

During the install, I get the following dialog: "The system administrator has set policies to prevent this installation" before the installation stops.

When looking in the event log, I find the following:

System

    Provider

    [ Name] VSS

    EventID 8193

    [ Qualifiers] 0

    Level 2

    Task 0

    Keywords 0x80000000000000

    TimeCreated

    [ SystemTime] 2014-06-16T00:03:05.000000000Z

    EventRecordID 3972

    Channel Application

    Computer Lazarus2

    Security
        EventData

    ConvertStringSidToSid(S-1-5-21-2618503741-3002105249-4035596910-1001.bak) 0x80070539, The security ID structure is invalid.
    Operation: OnIdentify event Gathering Writer Data Context: Execution Context: Shadow Copy Optimization Writer Writer Class Id: {4dc3bdd4-ab48-4d07-adb0-3bee2926fd7f} Writer Name: Shadow Copy Optimization Writer Writer Instance ID: {592d7e71-9e4a-4148-aabc-0f539afafb1d} 2D20436F64653A20534543534543524330303030303931302D2043616C6C3A20534543534543524330303030303930332D205049443A202030303030343234382D205449443A202030303030333336382D20434D443A2020433A5C57696E646F77735C73797374656D33325C76737376632E6578652020202D20557365723A204E616D653A204E5420415554484F524954595C53595354454D2C205349443A532D312D352D313820

Binary data:

In Words

0000: 6F43202D 203A6564 53434553 43524345 0008: 30303030 30313930 6143202D 203A6C6C 0010: 53434553 43524345 30303030 33303930 0018: 4950202D 20203A44 30303030 38343234 0020: 4954202D 20203A44 30303030 38363333 0028: 4D43202D 20203A44 575C3A43 6F646E69 0030: 735C7377 65747379 5C32336D 76737376 0038: 78652E63 20202065 7355202D 203A7265 0040: 656D614E 544E203A 54554120 49524F48 0048: 535C5954 45545359 53202C4D 533A4449 0050: 352D312D 2038312D

In Bytes

0000: 2D 20 43 6F 64 65 3A 20 - Code: 0008: 53 45 43 53 45 43 52 43 SECSECRC 0010: 30 30 30 30 30 39 31 30 00000910 0018: 2D 20 43 61 6C 6C 3A 20 - Call: 0020: 53 45 43 53 45 43 52 43 SECSECRC 0028: 30 30 30 30 30 39 30 33 00000903 0030: 2D 20 50 49 44 3A 20 20 - PID:
0038: 30 30 30 30 34 32 34 38 00004248 0040: 2D 20 54 49 44 3A 20 20 - TID:
0048: 30 30 30 30 33 33 36 38 00003368 0050: 2D 20 43 4D 44 3A 20 20 - CMD:
0058: 43 3A 5C 57 69 6E 64 6F C:\Windo 0060: 77 73 5C 73 79 73 74 65 ws\syste 0068: 6D 33 32 5C 76 73 73 76 m32\vssv 0070: 63 2E 65 78 65 20 20 20 c.exe
0078: 2D 20 55 73 65 72 3A 20 - User: 0080: 4E 61 6D 65 3A 20 4E 54 Name: NT 0088: 20 41 55 54 48 4F 52 49 AUTHORI 0090: 54 59 5C 53 59 53 54 45 TY\SYSTE 0098: 4D 2C 20 53 49 44 3A 53 M, SID:S 00a0: 2D 31 2D 35 2D 31 38 20 -1-5-18

Event 8193 seems to say that Volume Shadow Copy cannot be started on 64-bit systems by a 32-bit process.
Comment 1 bfoman (inactive) 2014-06-17 21:20:03 UTC
Are you using Administrator account? 
P.S.
That event seems irrelevant.
Comment 2 Timothy Tai 2014-06-18 16:42:02 UTC
(In reply to comment #1)
> Are you using Administrator account? 
> P.S.
> That event seems irrelevant.

Control Panel > User Accounts says my account type is "Administrator"

What should I check for or look up next?
Comment 3 Timothy Tai 2014-06-18 16:45:55 UTC
Created attachment 101317 [details]
Screenshot

Screenshot of the Control Panel > User Accounts dialog, indicating that I am an Administrator
Comment 4 Joel Madero 2014-08-04 15:58:16 UTC
REOPENED is reserved for a bug that:

1. a developer has marked as FIXED;
2. a developer is assigned to the bug that is marked as FIXED;

In this case the enhancement request was never independently confirmed so correct status is UNCONFIRMED. Thanks!
Comment 5 tommy27 2014-09-26 19:43:28 UTC
@Timothy Tai  

are you still experiencing this issue with LibO 4.2.6.2 or 4.3.2.2 releases?
Comment 6 retired 2014-11-02 10:23:59 UTC
NEEDINFO as of comment #5. Please re-try with LO 4.3.3.2.

After providing the requested info, please reset this bug to UNCONFIRMED (should it be persisting) or WORKFORME (should it be solved with a newer LO version).
Comment 7 QA Administrators 2015-05-06 14:15:12 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 8 QA Administrators 2015-06-08 14:26:57 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team